<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>List Users</title>
</head>
<script>
    $(document).ready(function(){
        onPageLoad();

        $("#table-users").on("click",".button-edit-user",function(){
            onEditUserClick(this);
        });
        $("#table-users").on("click",".button-delete-user",function(){
            onDeleteUserClick(this);
        });
    });

    function onPageLoad(){
        $.ajax({
            url:"http://203.171.20.210:8080/crud-api/users/",
            type:"GET",
            success:function(paramUsers){
                loadDataToTable(paramUsers);
            },
            error:function(paramErrors){
                console.log(paramErrors);
            }
        });
    }

    function onEditUserClick(btnEdit){
        console.log("Edit button click : "+$(btnEdit).data("id"));
    }

    function onDeleteUserClick(btnDelete){
        console.log("Delete button click : "+$(btnDelete).data("id"));
    }

    function loadDataToTable(data){
        var vTableUsers = $("#table-users");
        for(var index=0;index<data.length;index++){
            var newRow = $("<tr>").appendTo(vTableUsers);
            $("<td>",{
                html:data[index].id
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].firstname
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].lastname
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].country
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].subject
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].customerType
            }).appendTo(newRow);
            $("<td>",{
                html:data[index].registerStatus
            }).appendTo(newRow);

            var colAction = $("<td>").appendTo(newRow);
            $("<button>",{
                html:"Sửa",
                class:"btn btn-primary button-edit-user"
            }).data("id",data[index].id).appendTo(colAction);
            $("<button>",{
                html:"Xóa",
                class:"btn btn-danger button-delete-user"
            }).data("id",data[index].id).appendTo(colAction);
        }
    }
</script>
<body>
    <div class="container">
        <h2 class="text-center my-4">Danh sách người dùng đăng ký</h2>
        <table id="table-users" class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Firstname</th>
                    <th scope="col">Lastname</th>
                    <th scope="col">Country</th>
                    <th scope="col">Subject</th>
                    <th scope="col">Customer Type</th>
                    <th scope="col">Register Status</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>

</html>
